Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Class TextEditable

    java.lang.Object
      jpicedt.graphic.model.AbstractElement
          jpicedt.graphic.model.DefaultLeafElement
              jpicedt.graphic.model.TextEditable

All Implemented Interfaces:
  Element, PicObjectConstants

Direct Known Subclasses:
  PicText

public abstract class TextEditable
extends DefaultLeafElement

An abstract class for Element's that have a textual representation, and [pending:removed as of 1.3.2] whose text can be graphically edited

Since:
  jPicEdt 1.3.1
Version:
  $Id: TextEditable.java,v 1.11.2.1 2007/09/02 11:56:27 reynal Exp $
Author:
  Sylvain Reynal

Field Summary
`static int` | `FIRST_PT`
`static int` | `LAST_PT`
`static int` | `P_ANCHOR`
`protected String` | `textString` string argument

Fields inherited from class jpicedt.graphic.model.DefaultLeafElement
`nodeConnections, nodeName, pts`

Fields inherited from class jpicedt.graphic.model.AbstractElement
`attributeSet, parent, view`

Fields inherited from interface jpicedt.graphic.model.PicObjectConstants
`ARROW_GLOBAL_SCALE_LENGTH, ARROW_GLOBAL_SCALE_WIDTH, ARROW_INSET_SCALE, ARROW_LENGTH_SCALE, ARROW_WIDTH_LINEWIDTH_SCALE, ARROW_WIDTH_MINIMUM_MM, BRACKET_LENGTH_SCALE, CROSSHATCH, CROSSHATCH_FILLED, DASH_OPAQUE, DASH_TRANSPARENT, DASH1, DASH2, DASH3, DASHED, DIMEN, DOT_SEP, DOT_SEP1, DOT_SEP2, DOT_SEP3, DOTTED, DOUBLE_COLOR, DOUBLE_LINE, DOUBLE_SEP, FILL_COLOR, FILL_STYLE, HATCH_ANGLE, HATCH_COLOR, HATCH_SEP, HATCH_WIDTH, HLINES, HLINES_FILLED, INNER, LEFT_ARROW, LINE_COLOR, LINE_STYLE, LINE_WIDTH, MIDDLE, NONE, OUTER, OVER_STRIKE, OVER_STRIKE_COLOR, OVER_STRIKE_WIDTH, POLYDOTS_ANGLE, POLYDOTS_CIRCLE, POLYDOTS_DISK, POLYDOTS_PENTAGON, POLYDOTS_PENTAGON_FILLED, POLYDOTS_PLUS, POLYDOTS_SCALE_H, POLYDOTS_SCALE_V, POLYDOTS_SIZE_LINEWIDTH_SCALE, POLYDOTS_SIZE_MINIMUM_MM, POLYDOTS_SQUARE, POLYDOTS_SQUARE_FILLED, POLYDOTS_STYLE, POLYDOTS_SUPERIMPOSE, POLYDOTS_TRIANGLE, POLYDOTS_TRIANGLE_FILLED, PS_POINT, PST_CUSTOM, RBRACKET_LENGTH_SCALE, RIGHT_ARROW, SHADOW, SHADOW_ANGLE, SHADOW_COLOR, SHADOW_SIZE, SOLID, TBAR_WIDTH_LINEWIDTH_SCALE, TBAR_WIDTH_MINIMUM_MM, TEXT_BOX_CIRCLE, TEXT_BOX_NO_FRAME, TEXT_BOX_OVAL, TEXT_BOX_RECTANGLE, TEXT_FRAME, TEXT_HALIGN_CENTER, TEXT_HALIGN_LEFT, TEXT_HALIGN_RIGHT, TEXT_HOR_ALIGN, TEXT_ROTATION, TEXT_VALIGN_BASELINE, TEXT_VALIGN_BOTTOM, TEXT_VALIGN_CENTER, TEXT_VALIGN_TOP, TEXT_VERT_ALIGN, VLINES, VLINES_FILLED`

Constructor Summary
`protected` | `TextEditable(String textString, PicPoint anchorPoint)` Construct a new TextEditable with the given content and a default attribute set
`protected` | `TextEditable(String textString, PicPoint anchorPoint, PicAttributeSet set)` Construct a new TextEditable with the given content and attribute set
`protected` | `TextEditable(TextEditable e)` Construct a clone of the given TextEditable

Method Summary
`String` | `getText()` Return the string argument (e.g of the corresponding \\makebox{} command)
`void` | `setAttribute(PicAttributeName name, Object value)` Set the given attribute name to the given value for this AbstractElement
`void` | `setText(String str)` Set the string argument (e.g.

Methods inherited from class jpicedt.graphic.model.DefaultLeafElement
`addConnection, clone, fireChangedUpdate, forwardChangedUpdate, getAllowsChildren, getBoundingBox, getFirstPointIndex, getLastPointIndex, getName, getNodeName, getNumberOfSpecificationPoints, getPoint, getPoint, getPointX, getPointY, getSpecificationPoint, getSpecificationPoint, getSpecificationPointX, getSpecificationPointY, isNode, isNodeable, iterator, nodeConnectionOrigin, nodeReferencePoint, nodeReferencePointX, nodeReferencePointY, removeAllConnections, removeConnection, rotate, scale, setNodeName, setPoint, setPoint, setSpecificationPoint, shear, toString, translate`

Methods inherited from class jpicedt.graphic.model.AbstractElement
`anchorPointsIterator, getAttribute, getAttributeSet, getDrawing, getParent, getView, removeView, scale, setAttributeSet, setParent, setViewFromFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIRST_PT

    public static final int FIRST_PT

See Also:
  Constant Field Values

### P_ANCHOR

    public static final int P_ANCHOR

See Also:
  Constant Field Values

### LAST_PT

    public static final int LAST_PT

See Also:
  Constant Field Values

### textString

    protected String textString

  string argument

Constructor Detail

### TextEditable

    protected TextEditable(String textString,
                           PicPoint anchorPoint,
                           PicAttributeSet set)

  Construct a new TextEditable with the given content and attribute set

### TextEditable

    protected TextEditable(String textString,
                           PicPoint anchorPoint)

  Construct a new TextEditable with the given content and a default attribute set

### TextEditable

    protected TextEditable(TextEditable e)

  Construct a clone of the given TextEditable

Method Detail

### setAttribute

    public void setAttribute(PicAttributeName name,
                             Object value)

  Set the given attribute name to the given value for this AbstractElement

  Specified by:
    `setAttribute` in interface `Element`
  Overrides:
    `setAttribute` in class `AbstractElement`

### getText

    public String getText()

  Return the string argument (e.g of the corresponding \\makebox{} command)

### setText

    public void setText(String str)

  Set the string argument (e.g. of the \\makebox{} command)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org